>From 0cbe8f3c191332e37abe59158a56378824af29a7 Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig@2ndquadrant.com>
Date: Mon, 1 Sep 2014 13:44:53 +0800
Subject: [PATCH] 9.4beta2-1PGDG - Use e2fs libuuid, fix perl MODULE_COMPAT

- Update to 9.4 beta 2
- Use libuuid from e2fsprogs instead of ossp-uuid to remove EPEL dependency
- Fix plperl MODULE_COMPAT
- Remove obsolete "touch /var/log/pgsql"
- Remove Provides: for libpq.so (RPM generates one)
- Introduce versioned and _isa-qualified Provides: for postgresql- packages
---
 9.4/postgresql/EL-5/postgresql-9.4.spec | 64 +++++++++++++++++----------------
 9.4/postgresql/EL-6/postgresql-9.4.spec | 62 ++++++++++++++++----------------
 9.4/postgresql/EL-7/postgresql-9.4.spec | 63 ++++++++++++++++----------------
 9.4/postgresql/F-19/postgresql-9.4.spec | 61 +++++++++++++++----------------
 9.4/postgresql/F-20/postgresql-9.4.spec | 63 ++++++++++++++++----------------
 5 files changed, 161 insertions(+), 152 deletions(-)

diff --git a/9.4/postgresql/EL-5/postgresql-9.4.spec b/9.4/postgresql/EL-5/postgresql-9.4.spec
index d0a863a..8004722 100644
--- a/9.4/postgresql/EL-5/postgresql-9.4.spec
+++ b/9.4/postgresql/EL-5/postgresql-9.4.spec
@@ -64,12 +64,11 @@
 %{!?pam:%define pam 1}
 %{!?disablepgfts:%define disablepgfts 0}
 %{!?runselftest:%define runselftest 0}
-%{!?uuid:%define uuid 1}
 %{!?ldap:%define ldap 1}
 
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
-Version:	9.4beta1
+Version:	9.4beta2
 Release:	1PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
@@ -126,9 +125,9 @@ BuildRequires:	libxml2-devel libxslt-devel
 BuildRequires:	pam-devel
 %endif
 
-%if %uuid
-BuildRequires:	uuid-devel
-%endif
+# in EL-5 libuuid is still in e2fsprogs-devel; it moved to libuuid-devel in
+# later releases.
+BuildRequires:	 e2fsprogs-devel
 
 %if %ldap
 BuildRequires:	openldap-devel
@@ -139,7 +138,8 @@ Requires(post): %{_sbindir}/update-alternatives
 Requires(postun):	%{_sbindir}/update-alternatives
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Provides:	postgresql
+Provides:	postgresql = %{version}-%{release}
+Provides:	postgresql%{?_isa} = %{version}-%{release}
 
 %description
 PostgreSQL is an advanced Object-Relational database management system
@@ -161,8 +161,8 @@ if you're installing the postgresql%{packageversion}-server package.
 %package libs
 Summary:	The shared libraries required for any PostgreSQL clients
 Group:		Applications/Databases
-Provides:	libpq.so
-Provides:	postgresql-libs
+Provides:	postgresql-libs = %{version}-%{release}
+Provides:	postgresql-libs%{?_isa} = %{version}-%{release}
 
 %description libs
 The postgresql%{packageversion}-libs package provides the essential shared libraries for any 
@@ -175,7 +175,8 @@ Summary:	The programs needed to create and run a PostgreSQL server
 Group:		Applications/Databases
 Requires:	/usr/sbin/useradd /sbin/chkconfig 
 Requires:	%{name} = %{version}-%{release}
-Provides:	postgresql-server
+Provides:	postgresql-server = %{version}-%{release}
+Provides:	postgresql-server%{?_isa} = %{version}-%{release}
 
 %description server
 The postgresql%{packageversion}-server package includes the programs needed to create
@@ -191,7 +192,8 @@ to install the postgresql package.
 %package docs
 Summary:	Extra documentation for PostgreSQL
 Group:		Applications/Databases
-Provides:	postgresql-docs
+Provides:	postgresql-docs = %{version}-%{release}
+Provides:	postgresql-docs%{?_isa} = %{version}-%{release}
 
 %description docs
 The postgresql%{packageversion}-docs package includes the SGML source for the documentation
@@ -204,7 +206,8 @@ includes HTML version of the documentation.
 Summary:	Contributed source and binaries distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name} = %{version}
-Provides:	postgresql-contrib
+Provides:	postgresql-contrib = %{version}-%{release}
+Provides:	postgresql-contrib%{?_isa} = %{version}-%{release}
 
 %description contrib
 The postgresql%{packageversion}-contrib package contains contributed packages that are
@@ -214,7 +217,8 @@ included in the PostgreSQL distribution.
 Summary:	PostgreSQL development header files and libraries
 Group:		Development/Libraries
 Requires:	%{name} = %{version}-%{release}
-Provides:	postgresql-devel
+Provides:	postgresql-devel = %{version}-%{release}
+Provides:	postgresql-devel%{?_isa} = %{version}-%{release}
 
 %description devel
 The postgresql%{packageversion}-devel package contains the header files and libraries
@@ -228,11 +232,13 @@ develop applications which will interact with a PostgreSQL server.
 Summary:	The Perl procedural language for PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server = %{version}-%{release}
+Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 %ifarch ppc ppc64
 BuildRequires:	perl-devel
 %endif
 Obsoletes:	postgresql-pl
-Provides:	postgresql-plperl
+Provides:	postgresql-plperl = %{version}-%{release}
+Provides:	postgresql-plperl%{?_isa} = %{version}-%{release}
 
 %description plperl
 PostgreSQL is an advanced Object-Relational database management
@@ -247,7 +253,8 @@ Group:		Applications/Databases
 Requires:	%{name} = %{version}
 Requires:	%{name}-server = %{version}
 Obsoletes:	postgresql-pl
-Provides:	postgresql-plpython
+Provides:	postgresql-plpython = %{version}-%{release}
+Provides:	postgresql-plpython%{?_isa} = %{version}-%{release}
 
 %description plpython
 PostgreSQL is an advanced Object-Relational database management
@@ -262,7 +269,8 @@ Group:		Applications/Databases
 Requires:	%{name} = %{version}
 Requires:	%{name}-server = %{version}
 Obsoletes:	postgresql-pl
-Provides:	postgresql-pltcl
+Provides:	postgresql-pltcl = %{version}-%{release}
+Provides:	postgresql-pltcl%{?_isa} = %{version}-%{release}
 
 %description pltcl
 PostgreSQL is an advanced Object-Relational database management
@@ -275,7 +283,8 @@ for the backend.
 Summary:	The test suite distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server = %{version}-%{release}
-Provides:	postgresql-test
+Provides:	postgresql-test = %{version}-%{release}
+Provides:	postgresql-test%{?_isa} = %{version}-%{release}
 
 %description test
 PostgreSQL is an advanced Object-Relational database management
@@ -349,9 +358,7 @@ export LIBNAME=%{_lib}
 %if %disablepgfts
 	--disable-thread-safety \
 %endif
-%if %uuid
-	--with-ossp-uuid \
-%endif
+	--with-uuid=e2fs \
 %if %xml
 	--with-libxml \
 	--with-libxslt \
@@ -365,9 +372,7 @@ export LIBNAME=%{_lib}
 
 make %{?_smp_mflags} all
 make %{?_smp_mflags} -C contrib all
-%if %uuid
 make %{?_smp_mflags} -C contrib/uuid-ossp all
-%endif
 
 # Have to hack makefile to put correct path into tutorial scripts
 sed "s|C=\`pwd\`;|C=%{pgbaseinstdir}/lib/tutorial;|" < src/tutorial/Makefile > src/tutorial/GNUmakefile
@@ -402,9 +407,7 @@ rm -rf %{buildroot}
 make DESTDIR=%{buildroot} install
 mkdir -p %{buildroot}%{pgbaseinstdir}/share/extensions/
 make -C contrib DESTDIR=%{buildroot} install
-%if %uuid
 make -C contrib/uuid-ossp DESTDIR=%{buildroot} install
-%endif
 
 # multilib header hack; note pg_config.h is installed in two places!
 # we only apply this to known Red Hat multilib arches, per bug #177564
@@ -517,9 +520,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-%{majorversion}
@@ -744,9 +744,7 @@ rm -rf %{buildroot}
 %if %xml
 %{pgbaseinstdir}/lib/pgxml.so
 %endif
-%if %uuid
 %{pgbaseinstdir}/lib/uuid-ossp.so
-%endif
 %{pgbaseinstdir}/share/extension/adminpack*
 %{pgbaseinstdir}/share/extension/autoinc*
 %{pgbaseinstdir}/share/extension/btree_gin*
@@ -788,9 +786,7 @@ rm -rf %{buildroot}
 %{pgbaseinstdir}/share/extension/timetravel*
 %{pgbaseinstdir}/share/extension/tsearch2*
 %{pgbaseinstdir}/share/extension/unaccent*
-%if %uuid
 %{pgbaseinstdir}/share/extension/uuid-ossp*
-%endif
 %{pgbaseinstdir}/share/extension/worker_spi*
 %{pgbaseinstdir}/share/extension/xml2*
 %{pgbaseinstdir}/bin/oid2name
@@ -929,6 +925,14 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Mon Sep 01 2014 Craig Ringer <craig@2ndquadrant.com> - 9.4beta2-1PGDG
+- Update to 9.4 beta 2
+- Use libuuid from e2fsprogs instead of ossp-uuid to remove EPEL dependency
+- Fix plperl MODULE_COMPAT
+- Remove obsolete /var/log/pgsql
+- Remove Provides: entry for libpq.so (RPM generates one)
+- Introduce versioned and _isa-qualified Provides: for postgresql- packages
+
 * Thu May 15 2014 Jeff Frost <jeff@pgexperts.com> - 9.4beta1-1PGDG
 - Update to 9.4 beta 1
 
diff --git a/9.4/postgresql/EL-6/postgresql-9.4.spec b/9.4/postgresql/EL-6/postgresql-9.4.spec
index 70f2fc5..e71228f 100644
--- a/9.4/postgresql/EL-6/postgresql-9.4.spec
+++ b/9.4/postgresql/EL-6/postgresql-9.4.spec
@@ -65,12 +65,11 @@
 %{!?pam:%define pam 1}
 %{!?disablepgfts:%define disablepgfts 0}
 %{!?runselftest:%define runselftest 0}
-%{!?uuid:%define uuid 1}
 %{!?ldap:%define ldap 1}
 
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
-Version:	9.4beta1
+Version:	9.4beta2
 Release:	1PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
@@ -132,9 +131,7 @@ BuildRequires:	libxml2-devel libxslt-devel
 BuildRequires:	pam-devel
 %endif
 
-%if %uuid
-BuildRequires:	uuid-devel
-%endif
+BuildRequires:	libuuid-devel
 
 %if %ldap
 BuildRequires:	openldap-devel
@@ -145,7 +142,8 @@ Requires(post): %{_sbindir}/update-alternatives
 Requires(postun):	%{_sbindir}/update-alternatives
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Provides:	postgresql
+Provides:	postgresql = %{version}-%{release}
+Provides:	postgresql%{?_isa} = %{version}-%{release}
 
 %description
 PostgreSQL is an advanced Object-Relational database management system
@@ -167,8 +165,8 @@ if you're installing the postgresql%{packageversion}-server package.
 %package libs
 Summary:	The shared libraries required for any PostgreSQL clients
 Group:		Applications/Databases
-Provides:	libpq.so
-Provides:	postgresql-libs
+Provides:	postgresql-libs = %{version}-%{release}
+Provides:	postgresql-libs%{?_isa} = %{version}-%{release}
 
 %description libs
 The postgresql%{packageversion}-libs package provides the essential shared libraries for any 
@@ -181,7 +179,8 @@ Summary:	The programs needed to create and run a PostgreSQL server
 Group:		Applications/Databases
 Requires:	/usr/sbin/useradd /sbin/chkconfig 
 Requires:	%{name} = %{version}-%{release}
-Provides:	postgresql-server
+Provides:	postgresql-server = %{version}-%{release}
+Provides:	postgresql-server%{?_isa} = %{version}-%{release}
 
 %description server
 The postgresql%{packageversion}-server package includes the programs needed to create
@@ -197,7 +196,8 @@ to install the postgresql package.
 %package docs
 Summary:	Extra documentation for PostgreSQL
 Group:		Applications/Databases
-Provides:	postgresql-docs
+Provides:	postgresql-docs = %{version}-%{release}
+Provides:	postgresql-docs%{?_isa} = %{version}-%{release}
 
 %description docs
 The postgresql%{packageversion}-docs package includes the SGML source for the documentation
@@ -210,7 +210,8 @@ includes HTML version of the documentation.
 Summary:	Contributed source and binaries distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name} = %{version}
-Provides:	postgresql-contrib
+Provides:	postgresql-contrib = %{version}-%{release}
+Provides:	postgresql-contrib%{?_isa} = %{version}-%{release}
 
 %description contrib
 The postgresql%{packageversion}-contrib package contains contributed packages that are
@@ -220,7 +221,8 @@ included in the PostgreSQL distribution.
 Summary:	PostgreSQL development header files and libraries
 Group:		Development/Libraries
 Requires:	%{name} = %{version}-%{release}
-Provides:	postgresql-devel
+Provides:	postgresql-devel = %{version}-%{release}
+Provides:	postgresql-devel%{?_isa} = %{version}-%{release}
 
 %description devel
 The postgresql%{packageversion}-devel package contains the header files and libraries
@@ -234,11 +236,13 @@ develop applications which will interact with a PostgreSQL server.
 Summary:	The Perl procedural language for PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server = %{version}-%{release}
+Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 %ifarch ppc ppc64
 BuildRequires:	perl-devel
 %endif
 Obsoletes:	postgresql-pl
-Provides:	postgresql-plperl
+Provides:	postgresql-plperl = %{version}-%{release}
+Provides:	postgresql-plperl%{?_isa} = %{version}-%{release}
 
 %description plperl
 PostgreSQL is an advanced Object-Relational database management
@@ -253,7 +257,8 @@ Group:		Applications/Databases
 Requires:	%{name} = %{version}
 Requires:	%{name}-server = %{version}
 Obsoletes:	postgresql-pl
-Provides:	postgresql-plpython
+Provides:	postgresql-plpython = %{version}-%{release}
+Provides:	postgresql-plpython%{?_isa} = %{version}-%{release}
 
 %description plpython
 PostgreSQL is an advanced Object-Relational database management
@@ -268,7 +273,8 @@ Group:		Applications/Databases
 Requires:	%{name} = %{version}
 Requires:	%{name}-server = %{version}
 Obsoletes:	postgresql-pl
-Provides:	postgresql-pltcl
+Provides:	postgresql-pltcl = %{version}-%{release}
+Provides:	postgresql-pltcl%{?_isa} = %{version}-%{release}
 
 %description pltcl
 PostgreSQL is an advanced Object-Relational database management
@@ -281,7 +287,8 @@ for the backend.
 Summary:	The test suite distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server = %{version}-%{release}
-Provides:	postgresql-test
+Provides:	postgresql-test = %{version}-%{release}
+Provides:	postgresql-test%{?_isa} = %{version}-%{release}
 
 %description test
 PostgreSQL is an advanced Object-Relational database management
@@ -355,9 +362,7 @@ export LIBNAME=%{_lib}
 %if %disablepgfts
 	--disable-thread-safety \
 %endif
-%if %uuid
-	--with-ossp-uuid \
-%endif
+	--with-uuid=e2fs \
 %if %xml
 	--with-libxml \
 	--with-libxslt \
@@ -371,9 +376,7 @@ export LIBNAME=%{_lib}
 
 make %{?_smp_mflags} all
 make %{?_smp_mflags} -C contrib all
-%if %uuid
 make %{?_smp_mflags} -C contrib/uuid-ossp all
-%endif
 
 # Have to hack makefile to put correct path into tutorial scripts
 sed "s|C=\`pwd\`;|C=%{pgbaseinstdir}/lib/tutorial;|" < src/tutorial/Makefile > src/tutorial/GNUmakefile
@@ -408,9 +411,7 @@ rm -rf %{buildroot}
 make DESTDIR=%{buildroot} install
 mkdir -p %{buildroot}%{pgbaseinstdir}/share/extensions/
 make -C contrib DESTDIR=%{buildroot} install
-%if %uuid
 make -C contrib/uuid-ossp DESTDIR=%{buildroot} install
-%endif
 
 # multilib header hack; note pg_config.h is installed in two places!
 # we only apply this to known Red Hat multilib arches, per bug #177564
@@ -523,9 +524,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 chkconfig --add postgresql-%{majorversion}
@@ -750,9 +748,7 @@ rm -rf %{buildroot}
 %if %xml
 %{pgbaseinstdir}/lib/pgxml.so
 %endif
-%if %uuid
 %{pgbaseinstdir}/lib/uuid-ossp.so
-%endif
 %{pgbaseinstdir}/share/extension/adminpack*
 %{pgbaseinstdir}/share/extension/autoinc*
 %{pgbaseinstdir}/share/extension/btree_gin*
@@ -795,9 +791,7 @@ rm -rf %{buildroot}
 %{pgbaseinstdir}/share/extension/tsearch2*
 %{pgbaseinstdir}/share/extension/unaccent*
 %{pgbaseinstdir}/share/extension/worker_spi*
-%if %uuid
 %{pgbaseinstdir}/share/extension/uuid-ossp*
-%endif
 %{pgbaseinstdir}/share/extension/xml2*
 %{pgbaseinstdir}/bin/oid2name
 %{pgbaseinstdir}/bin/pgbench
@@ -933,6 +927,14 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Mon Sep 01 2014 Craig Ringer <craig@2ndquadrant.com> - 9.4beta2-1PGDG
+- Update to 9.4 beta 2
+- Use libuuid from e2fsprogs instead of ossp-uuid to remove EPEL dependency
+- Fix plperl MODULE_COMPAT
+- Remove obsolete /var/log/pgsql
+- Remove Provides: entry for libpq.so (RPM generates one)
+- Introduce versioned and _isa-qualified Provides: for postgresql- packages
+
 * Thu May 15 2014 Jeff Frost <jeff@pgexperts.com> - 9.4beta1-1PGDG
 - Update to 9.4 beta 1
 
diff --git a/9.4/postgresql/EL-7/postgresql-9.4.spec b/9.4/postgresql/EL-7/postgresql-9.4.spec
index 4b65dbc..e12b9ed 100644
--- a/9.4/postgresql/EL-7/postgresql-9.4.spec
+++ b/9.4/postgresql/EL-7/postgresql-9.4.spec
@@ -65,13 +65,12 @@
 %{!?pam:%define pam 1}
 %{!?disablepgfts:%define disablepgfts 0}
 %{!?runselftest:%define runselftest 0}
-%{!?uuid:%define uuid 0}
 %{!?ldap:%define ldap 1}
 %{!?selinux:%define selinux 1}
 
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
-Version:	9.4beta1
+Version:	9.4beta2
 Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
@@ -134,9 +133,7 @@ BuildRequires:	libxml2-devel libxslt-devel
 BuildRequires:	pam-devel
 %endif
 
-%if %uuid
-BuildRequires:	uuid-devel
-%endif
+BuildRequires:	libuuid-devel
 
 %if %ldap
 BuildRequires:	openldap-devel
@@ -154,7 +151,8 @@ Requires(postun):	%{_sbindir}/update-alternatives
 BuildRequires:	systemd-units
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Provides:	postgresql
+Provides:	postgresql = %{version}-%{release}
+Provides:	postgresql%{?_isa} = %{version}-%{release}
 
 %description
 PostgreSQL is an advanced Object-Relational database management system (DBMS).
@@ -172,8 +170,8 @@ if you're installing the postgresql%{packageversion}-server package.
 %package libs
 Summary:	The shared libraries required for any PostgreSQL clients
 Group:		Applications/Databases
-Provides:	libpq.so
-Provides:	postgresql-libs
+Provides:	postgresql-libs = %{version}-%{release}
+Provides:	postgresql-libs%{?_isa} = %{version}-%{release}
 
 %description libs
 The postgresql%{packageversion}-libs package provides the essential shared libraries for any
@@ -195,7 +193,8 @@ Requires(preun):	systemd-units
 Requires(postun):	systemd-units
 
 Requires:	%{name} = %{version}-%{release}
-Provides:	postgresql-server
+Provides:	postgresql-server = %{version}-%{release}
+Provides:	postgresql-server%{?_isa} = %{version}-%{release}
 
 %description server
 PostgreSQL is an advanced Object-Relational database management system (DBMS).
@@ -206,7 +205,8 @@ and maintain PostgreSQL databases.
 %package docs
 Summary:	Extra documentation for PostgreSQL
 Group:		Applications/Databases
-Provides:	postgresql-docs
+Provides:	postgresql-docs = %{version}-%{release}
+Provides:	postgresql-docs%{?_isa} = %{version}-%{release}
 
 %description docs
 The postgresql%{packageversion}-docs package includes the SGML source for the documentation
@@ -220,7 +220,8 @@ Summary:	Contributed source and binaries distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
-Provides:	postgresql-contrib
+Provides:	postgresql-contrib = %{version}-%{release}
+Provides:	postgresql-contrib%{?_isa} = %{version}-%{release}
 
 %description contrib
 The postgresql%{packageversion}-contrib package contains various extension modules that are
@@ -231,7 +232,8 @@ Summary:	PostgreSQL development header files and libraries
 Group:		Development/Libraries
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
-Provides:	postgresql-devel
+Provides:	postgresql-devel = %{version}-%{release}
+Provides:	postgresql-devel%{?_isa} = %{version}-%{release}
 
 %description devel
 The postgresql%{packageversion}-devel package contains the header files and libraries
@@ -246,12 +248,13 @@ to develop applications which will interact with a PostgreSQL server.
 Summary:	The Perl procedural language for PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server%{?_isa} = %{version}-%{release}
-Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version})
+Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 %ifarch ppc ppc64
 BuildRequires:	perl-devel
 %endif
 Obsoletes:	postgresql%{packageversion}-pl
-Provides:	postgresql-plperl
+Provides:	postgresql-plperl = %{version}-%{release}
+Provides:	postgresql-plperl%{?_isa} = %{version}-%{release}
 
 %description plperl
 The postgresql%{packageversion}-plperl package contains the PL/Perl procedural language,
@@ -267,7 +270,8 @@ Group:		Applications/Databases
 Requires: 	%{name}%{?_isa} = %{version}-%{release}
 Requires: 	%{name}-server%{?_isa} = %{version}-%{release}
 Obsoletes:	%{name}-pl
-Provides:	postgresql-plpython
+Provides:	postgresql-plpython = %{version}-%{release}
+Provides:	postgresql-plpython%{?_isa} = %{version}-%{release}
 
 %description plpython
 The postgresql%{packageversion}-plpython package contains the PL/Python procedural language,
@@ -283,7 +287,8 @@ Group:		Applications/Databases
 Requires: 	%{name}%{?_isa} = %{version}-%{release}
 Requires: 	%{name}-server%{?_isa} = %{version}-%{release}
 Obsoletes:	%{name}-pl
-Provides:	postgresql-pltcl
+Provides:	postgresql-pltcl = %{version}-%{release}
+Provides:	postgresql-pltcl%{?_isa} = %{version}-%{release}
 
 %description pltcl
 PostgreSQL is an advanced Object-Relational database management
@@ -297,7 +302,8 @@ Summary:	The test suite distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server%{?_isa} = %{version}-%{release}
 Requires:	%{name}-devel%{?_isa} = %{version}-%{release}
-Provides:	postgresql-test
+Provides:	postgresql-test = %{version}-%{release}
+Provides:	postgresql-test%{?_isa} = %{version}-%{release}
 
 %description test
 The postgresql%{packageversion}-test package contains files needed for various tests for the
@@ -383,9 +389,7 @@ export LIBNAME=%{_lib}
 %if %disablepgfts
 	--disable-thread-safety \
 %endif
-%if %uuid
-	--with-ossp-uuid \
-%endif
+	--with-uuid=e2fs \
 %if %xml
 	--with-libxml \
 	--with-libxslt \
@@ -402,9 +406,7 @@ export LIBNAME=%{_lib}
 
 make %{?_smp_mflags} all
 make %{?_smp_mflags} -C contrib all
-%if %uuid
 make %{?_smp_mflags} -C contrib/uuid-ossp all
-%endif
 
 # Have to hack makefile to put correct path into tutorial scripts
 sed "s|C=\`pwd\`;|C=%{pgbaseinstdir}/lib/tutorial;|" < src/tutorial/Makefile > src/tutorial/GNUmakefile
@@ -440,9 +442,7 @@ make DESTDIR=%{buildroot} install
 
 mkdir -p %{buildroot}%{pgbaseinstdir}/share/extensions/
 make -C contrib DESTDIR=%{buildroot} install
-%if %uuid
 make -C contrib/uuid-ossp DESTDIR=%{buildroot} install
-%endif
 
 # multilib header hack; note pg_config.h is installed in two places!
 # we only apply this to known Red Hat multilib arches, per bug #177564
@@ -578,9 +578,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 /sbin/ldconfig
@@ -815,9 +812,7 @@ rm -rf %{buildroot}
 %if %xml
 %{pgbaseinstdir}/lib/pgxml.so
 %endif
-%if %uuid
 %{pgbaseinstdir}/lib/uuid-ossp.so
-%endif
 %{pgbaseinstdir}/share/extension/adminpack*
 %{pgbaseinstdir}/share/extension/autoinc*
 %{pgbaseinstdir}/share/extension/btree_gin*
@@ -859,9 +854,7 @@ rm -rf %{buildroot}
 %{pgbaseinstdir}/share/extension/timetravel*
 %{pgbaseinstdir}/share/extension/tsearch2*
 %{pgbaseinstdir}/share/extension/unaccent*
-%if %uuid
 %{pgbaseinstdir}/share/extension/uuid-ossp*
-%endif
 %{pgbaseinstdir}/share/extension/worker_spi*
 %{pgbaseinstdir}/share/extension/xml2*
 %{pgbaseinstdir}/bin/oid2name
@@ -1001,6 +994,14 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Mon Sep 01 2014 Craig Ringer <craig@2ndquadrant.com> - 9.4beta2-1PGDG
+- Update to 9.4 beta 2
+- Use libuuid from e2fsprogs instead of ossp-uuid to remove EPEL dependency
+- Fix plperl MODULE_COMPAT
+- Remove obsolete /var/log/pgsql
+- Remove Provides: entry for libpq.so (RPM generates one)
+- Introduce versioned and _isa-qualified Provides: for postgresql- packages
+
 * Thu May 15 2014 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.4beta1-2PGDG
 - Add a new script, called postgresql94-check-db-dir, to be used in 
   unit file in ExecStartPre. This is a feature we used to have in
diff --git a/9.4/postgresql/F-19/postgresql-9.4.spec b/9.4/postgresql/F-19/postgresql-9.4.spec
index f6ef72b..7a6e099 100644
--- a/9.4/postgresql/F-19/postgresql-9.4.spec
+++ b/9.4/postgresql/F-19/postgresql-9.4.spec
@@ -65,7 +65,6 @@
 %{!?pam:%define pam 1}
 %{!?disablepgfts:%define disablepgfts 0}
 %{!?runselftest:%define runselftest 0}
-%{!?uuid:%define uuid 1}
 %{!?ldap:%define ldap 1}
 %{!?selinux:%define selinux 1}
 
@@ -134,9 +133,7 @@ BuildRequires:	libxml2-devel libxslt-devel
 BuildRequires:	pam-devel
 %endif
 
-%if %uuid
-BuildRequires:	uuid-devel
-%endif
+BuildRequires:	libuuid-devel
 
 %if %ldap
 BuildRequires:	openldap-devel
@@ -154,7 +151,8 @@ Requires(postun):	%{_sbindir}/update-alternatives
 BuildRequires:	systemd-units
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Provides:	postgresql
+Provides:	postgresql = %{version}-%{release}
+Provides:	postgresql%{?_isa} = %{version}-%{release}
 
 %description
 PostgreSQL is an advanced Object-Relational database management system (DBMS).
@@ -172,8 +170,8 @@ if you're installing the postgresql%{packageversion}-server package.
 %package libs
 Summary:	The shared libraries required for any PostgreSQL clients
 Group:		Applications/Databases
-Provides:	libpq.so
-Provides:	postgresql-libs
+Provides:	postgresql-libs = %{version}-%{release}
+Provides:	postgresql-libs%{?_isa} = %{version}-%{release}
 
 %description libs
 The postgresql%{packageversion}-libs package provides the essential shared libraries for any
@@ -195,7 +193,8 @@ Requires(preun):	systemd-units
 Requires(postun):	systemd-units
 
 Requires:	%{name} = %{version}-%{release}
-Provides:	postgresql-server
+Provides:	postgresql-server = %{version}-%{release}
+Provides:	postgresql-server%{?_isa} = %{version}-%{release}
 
 %description server
 PostgreSQL is an advanced Object-Relational database management system (DBMS).
@@ -206,7 +205,8 @@ and maintain PostgreSQL databases.
 %package docs
 Summary:	Extra documentation for PostgreSQL
 Group:		Applications/Databases
-Provides:	postgresql-docs
+Provides:	postgresql-docs = %{version}-%{release}
+Provides:	postgresql-docs%{?_isa} = %{version}-%{release}
 
 %description docs
 The postgresql%{packageversion}-docs package includes the SGML source for the documentation
@@ -220,7 +220,8 @@ Summary:	Contributed source and binaries distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
-Provides:	postgresql-contrib
+Provides:	postgresql-contrib = %{version}-%{release}
+Provides:	postgresql-contrib%{?_isa} = %{version}-%{release}
 
 %description contrib
 The postgresql%{packageversion}-contrib package contains various extension modules that are
@@ -231,7 +232,8 @@ Summary:	PostgreSQL development header files and libraries
 Group:		Development/Libraries
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
-Provides:	postgresql-devel
+Provides:	postgresql-devel = %{version}-%{release}
+Provides:	postgresql-devel%{?_isa} = %{version}-%{release}
 
 %description devel
 The postgresql%{packageversion}-devel package contains the header files and libraries
@@ -246,12 +248,13 @@ to develop applications which will interact with a PostgreSQL server.
 Summary:	The Perl procedural language for PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server%{?_isa} = %{version}-%{release}
-Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version})
+Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 %ifarch ppc ppc64
 BuildRequires:	perl-devel
 %endif
 Obsoletes:	postgresql%{packageversion}-pl
-Provides:	postgresql-plperl
+Provides:	postgresql-plperl = %{version}-%{release}
+Provides:	postgresql-plperl%{?_isa} = %{version}-%{release}
 
 %description plperl
 The postgresql%{packageversion}-plperl package contains the PL/Perl procedural language,
@@ -267,7 +270,8 @@ Group:		Applications/Databases
 Requires: 	%{name}%{?_isa} = %{version}-%{release}
 Requires: 	%{name}-server%{?_isa} = %{version}-%{release}
 Obsoletes:	%{name}-pl
-Provides:	postgresql-plpython
+Provides:	postgresql-plpython = %{version}-%{release}
+Provides:	postgresql-plpython%{?_isa} = %{version}-%{release}
 
 %description plpython
 The postgresql%{packageversion}-plpython package contains the PL/Python procedural language,
@@ -283,7 +287,8 @@ Group:		Applications/Databases
 Requires: 	%{name}%{?_isa} = %{version}-%{release}
 Requires: 	%{name}-server%{?_isa} = %{version}-%{release}
 Obsoletes:	%{name}-pl
-Provides:	postgresql-pltcl
+Provides:	postgresql-pltcl = %{version}-%{release}
+Provides:	postgresql-pltcl%{?_isa} = %{version}-%{release}
 
 %description pltcl
 PostgreSQL is an advanced Object-Relational database management
@@ -297,7 +302,8 @@ Summary:	The test suite distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server%{?_isa} = %{version}-%{release}
 Requires:	%{name}-devel%{?_isa} = %{version}-%{release}
-Provides:	postgresql-test
+Provides:	postgresql-test = %{version}-%{release}
+Provides:	postgresql-test%{?_isa} = %{version}-%{release}
 
 %description test
 The postgresql%{packageversion}-test package contains files needed for various tests for the
@@ -383,9 +389,7 @@ export LIBNAME=%{_lib}
 %if %disablepgfts
 	--disable-thread-safety \
 %endif
-%if %uuid
-	--with-ossp-uuid \
-%endif
+	--with-uuid=e2fs \
 %if %xml
 	--with-libxml \
 	--with-libxslt \
@@ -402,9 +406,7 @@ export LIBNAME=%{_lib}
 
 make %{?_smp_mflags} all
 make %{?_smp_mflags} -C contrib all
-%if %uuid
 make %{?_smp_mflags} -C contrib/uuid-ossp all
-%endif
 
 # Have to hack makefile to put correct path into tutorial scripts
 sed "s|C=\`pwd\`;|C=%{pgbaseinstdir}/lib/tutorial;|" < src/tutorial/Makefile > src/tutorial/GNUmakefile
@@ -440,9 +442,7 @@ make DESTDIR=%{buildroot} install
 
 mkdir -p %{buildroot}%{pgbaseinstdir}/share/extensions/
 make -C contrib DESTDIR=%{buildroot} install
-%if %uuid
 make -C contrib/uuid-ossp DESTDIR=%{buildroot} install
-%endif
 
 # multilib header hack; note pg_config.h is installed in two places!
 # we only apply this to known Red Hat multilib arches, per bug #177564
@@ -578,9 +578,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 /sbin/ldconfig
@@ -815,9 +812,7 @@ rm -rf %{buildroot}
 %if %xml
 %{pgbaseinstdir}/lib/pgxml.so
 %endif
-%if %uuid
 %{pgbaseinstdir}/lib/uuid-ossp.so
-%endif
 %{pgbaseinstdir}/share/extension/adminpack*
 %{pgbaseinstdir}/share/extension/autoinc*
 %{pgbaseinstdir}/share/extension/btree_gin*
@@ -859,9 +854,7 @@ rm -rf %{buildroot}
 %{pgbaseinstdir}/share/extension/timetravel*
 %{pgbaseinstdir}/share/extension/tsearch2*
 %{pgbaseinstdir}/share/extension/unaccent*
-%if %uuid
 %{pgbaseinstdir}/share/extension/uuid-ossp*
-%endif
 %{pgbaseinstdir}/share/extension/worker_spi*
 %{pgbaseinstdir}/share/extension/xml2*
 %{pgbaseinstdir}/bin/oid2name
@@ -1001,6 +994,14 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Mon Sep 01 2014 Craig Ringer <craig@2ndquadrant.com> - 9.4beta2-1PGDG
+- Update to 9.4 beta 2
+- Use libuuid from e2fsprogs instead of ossp-uuid to remove EPEL dependency
+- Fix plperl MODULE_COMPAT
+- Remove obsolete /var/log/pgsql
+- Remove Provides: entry for libpq.so (RPM generates one)
+- Introduce versioned and _isa-qualified Provides: for postgresql- packages
+
 * Thu May 15 2014 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.4beta1-2PGDG
 - Add a new script, called postgresql94-check-db-dir, to be used in 
   unit file in ExecStartPre. This is a feature we used to have in
diff --git a/9.4/postgresql/F-20/postgresql-9.4.spec b/9.4/postgresql/F-20/postgresql-9.4.spec
index f6ef72b..c40c798 100644
--- a/9.4/postgresql/F-20/postgresql-9.4.spec
+++ b/9.4/postgresql/F-20/postgresql-9.4.spec
@@ -65,13 +65,12 @@
 %{!?pam:%define pam 1}
 %{!?disablepgfts:%define disablepgfts 0}
 %{!?runselftest:%define runselftest 0}
-%{!?uuid:%define uuid 1}
 %{!?ldap:%define ldap 1}
 %{!?selinux:%define selinux 1}
 
 Summary:	PostgreSQL client programs and libraries
 Name:		%{oname}%{packageversion}
-Version:	9.4beta1
+Version:	9.4beta2
 Release:	2PGDG%{?dist}
 License:	PostgreSQL
 Group:		Applications/Databases
@@ -134,9 +133,7 @@ BuildRequires:	libxml2-devel libxslt-devel
 BuildRequires:	pam-devel
 %endif
 
-%if %uuid
-BuildRequires:	uuid-devel
-%endif
+BuildRequires:	libuuid-devel
 
 %if %ldap
 BuildRequires:	openldap-devel
@@ -154,7 +151,8 @@ Requires(postun):	%{_sbindir}/update-alternatives
 BuildRequires:	systemd-units
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
-Provides:	postgresql
+Provides:	postgresql = %{version}-%{release}
+Provides:	postgresql%{?_isa} = %{version}-%{release}
 
 %description
 PostgreSQL is an advanced Object-Relational database management system (DBMS).
@@ -172,8 +170,8 @@ if you're installing the postgresql%{packageversion}-server package.
 %package libs
 Summary:	The shared libraries required for any PostgreSQL clients
 Group:		Applications/Databases
-Provides:	libpq.so
-Provides:	postgresql-libs
+Provides:	postgresql-libs = %{version}-%{release}
+Provides:	postgresql-libs%{?_isa} = %{version}-%{release}
 
 %description libs
 The postgresql%{packageversion}-libs package provides the essential shared libraries for any
@@ -195,7 +193,8 @@ Requires(preun):	systemd-units
 Requires(postun):	systemd-units
 
 Requires:	%{name} = %{version}-%{release}
-Provides:	postgresql-server
+Provides:	postgresql-server = %{version}-%{release}
+Provides:	postgresql-server%{?_isa} = %{version}-%{release}
 
 %description server
 PostgreSQL is an advanced Object-Relational database management system (DBMS).
@@ -206,7 +205,8 @@ and maintain PostgreSQL databases.
 %package docs
 Summary:	Extra documentation for PostgreSQL
 Group:		Applications/Databases
-Provides:	postgresql-docs
+Provides:	postgresql-docs = %{version}-%{release}
+Provides:	postgresql-docs%{?_isa} = %{version}-%{release}
 
 %description docs
 The postgresql%{packageversion}-docs package includes the SGML source for the documentation
@@ -220,7 +220,8 @@ Summary:	Contributed source and binaries distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
-Provides:	postgresql-contrib
+Provides:	postgresql-contrib = %{version}-%{release}
+Provides:	postgresql-contrib%{?_isa} = %{version}-%{release}
 
 %description contrib
 The postgresql%{packageversion}-contrib package contains various extension modules that are
@@ -231,7 +232,8 @@ Summary:	PostgreSQL development header files and libraries
 Group:		Development/Libraries
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
-Provides:	postgresql-devel
+Provides:	postgresql-devel = %{version}-%{release}
+Provides:	postgresql-devel%{?_isa} = %{version}-%{release}
 
 %description devel
 The postgresql%{packageversion}-devel package contains the header files and libraries
@@ -246,12 +248,13 @@ to develop applications which will interact with a PostgreSQL server.
 Summary:	The Perl procedural language for PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server%{?_isa} = %{version}-%{release}
-Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version})
+Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 %ifarch ppc ppc64
 BuildRequires:	perl-devel
 %endif
 Obsoletes:	postgresql%{packageversion}-pl
-Provides:	postgresql-plperl
+Provides:	postgresql-plperl = %{version}-%{release}
+Provides:	postgresql-plperl%{?_isa} = %{version}-%{release}
 
 %description plperl
 The postgresql%{packageversion}-plperl package contains the PL/Perl procedural language,
@@ -267,7 +270,8 @@ Group:		Applications/Databases
 Requires: 	%{name}%{?_isa} = %{version}-%{release}
 Requires: 	%{name}-server%{?_isa} = %{version}-%{release}
 Obsoletes:	%{name}-pl
-Provides:	postgresql-plpython
+Provides:	postgresql-plpython = %{version}-%{release}
+Provides:	postgresql-plpython%{?_isa} = %{version}-%{release}
 
 %description plpython
 The postgresql%{packageversion}-plpython package contains the PL/Python procedural language,
@@ -283,7 +287,8 @@ Group:		Applications/Databases
 Requires: 	%{name}%{?_isa} = %{version}-%{release}
 Requires: 	%{name}-server%{?_isa} = %{version}-%{release}
 Obsoletes:	%{name}-pl
-Provides:	postgresql-pltcl
+Provides:	postgresql-pltcl = %{version}-%{release}
+Provides:	postgresql-pltcl%{?_isa} = %{version}-%{release}
 
 %description pltcl
 PostgreSQL is an advanced Object-Relational database management
@@ -297,7 +302,8 @@ Summary:	The test suite distributed with PostgreSQL
 Group:		Applications/Databases
 Requires:	%{name}-server%{?_isa} = %{version}-%{release}
 Requires:	%{name}-devel%{?_isa} = %{version}-%{release}
-Provides:	postgresql-test
+Provides:	postgresql-test = %{version}-%{release}
+Provides:	postgresql-test%{?_isa} = %{version}-%{release}
 
 %description test
 The postgresql%{packageversion}-test package contains files needed for various tests for the
@@ -383,9 +389,7 @@ export LIBNAME=%{_lib}
 %if %disablepgfts
 	--disable-thread-safety \
 %endif
-%if %uuid
-	--with-ossp-uuid \
-%endif
+	--with-uuid=e2fs \
 %if %xml
 	--with-libxml \
 	--with-libxslt \
@@ -402,9 +406,7 @@ export LIBNAME=%{_lib}
 
 make %{?_smp_mflags} all
 make %{?_smp_mflags} -C contrib all
-%if %uuid
 make %{?_smp_mflags} -C contrib/uuid-ossp all
-%endif
 
 # Have to hack makefile to put correct path into tutorial scripts
 sed "s|C=\`pwd\`;|C=%{pgbaseinstdir}/lib/tutorial;|" < src/tutorial/Makefile > src/tutorial/GNUmakefile
@@ -440,9 +442,7 @@ make DESTDIR=%{buildroot} install
 
 mkdir -p %{buildroot}%{pgbaseinstdir}/share/extensions/
 make -C contrib DESTDIR=%{buildroot} install
-%if %uuid
 make -C contrib/uuid-ossp DESTDIR=%{buildroot} install
-%endif
 
 # multilib header hack; note pg_config.h is installed in two places!
 # we only apply this to known Red Hat multilib arches, per bug #177564
@@ -578,9 +578,6 @@ cat postgres-%{majorversion}.lang pg_resetxlog-%{majorversion}.lang pg_controlda
 groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
 useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
 	-c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
-touch /var/log/pgsql
-chown postgres:postgres /var/log/pgsql
-chmod 0700 /var/log/pgsql
 
 %post server
 /sbin/ldconfig
@@ -815,9 +812,7 @@ rm -rf %{buildroot}
 %if %xml
 %{pgbaseinstdir}/lib/pgxml.so
 %endif
-%if %uuid
 %{pgbaseinstdir}/lib/uuid-ossp.so
-%endif
 %{pgbaseinstdir}/share/extension/adminpack*
 %{pgbaseinstdir}/share/extension/autoinc*
 %{pgbaseinstdir}/share/extension/btree_gin*
@@ -859,9 +854,7 @@ rm -rf %{buildroot}
 %{pgbaseinstdir}/share/extension/timetravel*
 %{pgbaseinstdir}/share/extension/tsearch2*
 %{pgbaseinstdir}/share/extension/unaccent*
-%if %uuid
 %{pgbaseinstdir}/share/extension/uuid-ossp*
-%endif
 %{pgbaseinstdir}/share/extension/worker_spi*
 %{pgbaseinstdir}/share/extension/xml2*
 %{pgbaseinstdir}/bin/oid2name
@@ -1001,6 +994,14 @@ rm -rf %{buildroot}
 %endif
 
 %changelog
+* Mon Sep 01 2014 Craig Ringer <craig@2ndquadrant.com> - 9.4beta2-1PGDG
+- Update to 9.4 beta 2
+- Use libuuid from e2fsprogs instead of ossp-uuid to remove EPEL dependency
+- Fix plperl MODULE_COMPAT
+- Remove obsolete /var/log/pgsql
+- Remove Provides: entry for libpq.so (RPM generates one)
+- Introduce versioned and _isa-qualified Provides: for postgresql- packages
+
 * Thu May 15 2014 Devrim GÜNDÜZ <devrim@gunduz.org> - 9.4beta1-2PGDG
 - Add a new script, called postgresql94-check-db-dir, to be used in 
   unit file in ExecStartPre. This is a feature we used to have in
-- 
1.9.3

